import { __awaiter, __extends, __generator } from "tslib";
import { DevicePluginWeb, WebPlugin } from "@capacitor/core";
var app = require('electron').remote.app;
var webDevice = new DevicePluginWeb();
var DevicePluginElectron = /** @class */ (function (_super) {
    __extends(DevicePluginElectron, _super);
    function DevicePluginElectron() {
        return _super.call(this, {
            name: 'Device',
            platforms: ['electron']
        }) || this;
    }
    DevicePluginElectron.prototype.getInfo = function () {
        return __awaiter(this, void 0, void 0, function () {
            var info;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, webDevice.getInfo()];
                    case 1:
                        info = _a.sent();
                        return [2 /*return*/, {
                                model: info.model,
                                platform: 'electron',
                                appVersion: app.getVersion(),
                                appBuild: '',
                                appId: '',
                                appName: '',
                                operatingSystem: info.operatingSystem,
                                osVersion: info.osVersion,
                                manufacturer: navigator.vendor,
                                isVirtual: false,
                                uuid: info.uuid
                            }];
                }
            });
        });
    };
    DevicePluginElectron.prototype.getBatteryInfo = function () {
        return __awaiter(this, void 0, void 0, function () {
            var batInfo;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, webDevice.getBatteryInfo()];
                    case 1:
                        batInfo = _a.sent();
                        return [2 /*return*/, {
                                batteryLevel: batInfo.batteryLevel,
                                isCharging: batInfo.isCharging
                            }];
                }
            });
        });
    };
    DevicePluginElectron.prototype.getLanguageCode = function () {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                return [2 /*return*/, webDevice.getLanguageCode()];
            });
        });
    };
    return DevicePluginElectron;
}(WebPlugin));
export { DevicePluginElectron };
var Device = new DevicePluginElectron();
export { Device };
//# sourceMappingURL=device.js.map